Bug 496327 - F9 fails to boot after installing F11 snap1 on another partition
F9 fails to boot after installing F11 snap1 on another partition
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-17 16:40 EDT by Brian C. Lane
Modified: 2010-01-12 10:32 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-12 10:32:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian C. Lane 2009-04-17 16:40:45 EDT
Description of problem:
After installing F11 snap1 on another partition on my machine my F9 install will no longer boot. Grub boots the kernel, but it fails to mount the root filesystem with this error:

boot fails: error mounting /dev/root on /sysroot: No such file or directory


Version-Release number of selected component (if applicable):
F9 

How reproducible:
Always

Additional info:

Under F9 my boot drive is /dev/sda and under F11 the same drive is known as /dev/sdb

I am using UUIDs for all filesystem labels and copied the f9 grub config from my backup of /boot/grub
Comment 1 Brian C. Lane 2009-04-17 18:47:40 EDT
I restored the /boot files from F9 and reinstalled grub. It now boots both F9 and F11
Comment 2 Jeremy Katz 2009-05-06 12:54:23 EDT
How did you originally have the boot for the two installs set up?
Comment 3 Brian C. Lane 2009-05-06 13:11:44 EDT
Originally the machine was setup for f9 booting off a primary partition with 2 other primary partitions for /boot and swap. It has 4 extended partitions with nothing on them.

I installed F11 reusing the /boot without formatting it and swap. / went onto one of the extended partitions.
Comment 4 Bug Zapper 2009-06-09 10:02:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Hans de Goede 2010-01-12 10:32:12 EST
This is a mass edit of all mkinitrd bugs.

Thanks for taking the time to file this bug report (and/or commenting on it).

As you may have heard in Fedora 12 mkinitrd has been replaced by dracut. In Fedora 12 the mkinitrd package is still around as some programs depend on
certain libraries it provides, but mkinitrd itself is no longer used.

In Fedora 13 mkinitrd will be removed completely. This means that all work
on initrd has stopped.

Rather then keeping mkinitrd bugs open and giving false hope they might get fixed we are mass closing them, so as to clearly communicate that no more work will be done on mkinitrd. We apologize for any inconvenience this may cause. 

If you are using Fedora 11 and are experiencing a mkinitrd bug you cannot work around, please upgrade to Fedora 12. If you experience problems with the initrd in Fedora 12, please file a bug against dracut.

Note You need to log in before you can comment on or make changes to this bug.